# Editor.Mediator Class Reference

Collaboration diagram for Editor.Mediator:

[legend]

List of all members.

## Public Member Functions
| Mediator (Editor.MainForm main)
void | NewScene (string fileName, DXGfxLib.Scene scene)
void | MeshAdded (string fileName, DXGfxLib.SceneNode obj)
void | MeshRemoved (string fileName, DXGfxLib.SceneNode obj)
void | Select (string name, Object obj)
| Mediator (Editor.MainForm main)
void | NewScene (string fileName, DXGfxLib.Scene scene)
void | MeshAdded (string fileName, DXGfxLib.SceneNode obj)
void | MeshRemoved (string fileName, DXGfxLib.SceneNode obj)
void | Select (string name, Object obj)
## Static Public Member Functions
static Mediator | GetGlobalInstance ()
static Mediator | GetGlobalInstance ()
## Public Attributes
DXGfxLib.Scene | currentScene = null
DXGfxLib.SceneNode | selectedNode = null
IAmScriptable | selectedScriptableObj = null
## Static Public Attributes
static Editor.MainForm | mainForm = null
## Events
NewScene | OnNewScene
MeshAdded | OnMeshAdded
MeshRemoved | OnMeshRemoved
Select | OnSelect

## Detailed Description

Definition at line 15 of file Mediator.cs.

## Constructor & Destructor Documentation

Editor.Mediator.Mediator | ( | Editor.MainForm | main | ) |

Definition at line 27 of file Mediator.cs.

Editor.Mediator.Mediator | ( | Editor.MainForm | main | ) |

Definition at line 27 of file Mediator.cs.

## Member Function Documentation

static Mediator Editor.Mediator.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 37 of file Mediator.cs.

static Mediator Editor.Mediator.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 37 of file Mediator.cs.

void Editor.Mediator.MeshAdded | ( | string | fileName,
|  | DXGfxLib.SceneNode | obj |
| ) |  |  |

Definition at line 64 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.MeshAdded | ( | string | fileName,
|  | DXGfxLib.SceneNode | obj |
| ) |  |  |

Definition at line 64 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.MeshRemoved | ( | string | fileName,
|  | DXGfxLib.SceneNode | obj |
| ) |  |  |

Definition at line 73 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.MeshRemoved | ( | string | fileName,
|  | DXGfxLib.SceneNode | obj |
| ) |  |  |

Definition at line 73 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.NewScene | ( | string | fileName,
|  | DXGfxLib.Scene | scene |
| ) |  |  |

Definition at line 44 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.NewScene | ( | string | fileName,
|  | DXGfxLib.Scene | scene |
| ) |  |  |

Definition at line 44 of file Mediator.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.Mediator.Select | ( | string | name,
|  | Object | obj |
| ) |  |  |

Definition at line 84 of file Mediator.cs.

Here is the call graph for this function:

void Editor.Mediator.Select | ( | string | name,
|  | Object | obj |
| ) |  |  |

Definition at line 84 of file Mediator.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

## Member Data Documentation

DXGfxLib Scene Editor.Mediator::currentScene = null

Definition at line 22 of file Mediator.cs.

static Editor MainForm Editor.Mediator::mainForm = null`[static]`

Definition at line 19 of file Mediator.cs.

DXGfxLib SceneNode Editor.Mediator::selectedNode = null

Definition at line 23 of file Mediator.cs.

IAmScriptable Editor.Mediator::selectedScriptableObj = null

Definition at line 24 of file Mediator.cs.

## Event Documentation

MeshAdded Editor.Mediator::OnMeshAdded

Definition at line 61 of file Mediator.cs.

MeshRemoved Editor.Mediator::OnMeshRemoved

Definition at line 62 of file Mediator.cs.

NewScene Editor.Mediator::OnNewScene

Definition at line 42 of file Mediator.cs.

Select Editor.Mediator::OnSelect

Definition at line 82 of file Mediator.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/Mediator.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/Mediator.cs